diff --git a/autotools/check-man b/autotools/check-man
index f52415de57d21dcc8865ffae79e612d65d3b1bbc..11205fd3a02bbd4bda11e3fc499882be813903ac 100755
--- a/autotools/check-man
+++ b/autotools/check-man
@@ -1,7 +1,7 @@
 #!/bin/bash
 #
 
-# Copyright (C) 2010 Google Inc.
+# Copyright (C) 2010, 2012 Google Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -24,3 +24,6 @@ set -e
   man --warnings --encoding=utf8 --local-file "$1" 2>&1 >/dev/null | \
   grep -v -e "cannot adjust line" -e "can't break line" | \
   grep .
+
+! grep -F -q '\[em]' "$1" || \
+  { echo "Unescaped dashes found in $1, use \\-- instead of --" 1>&2; exit 1; }